=== debian/changelog ===
kdsoap-ws-discovery-client (0.2-0.obs.1) unstable; urgency=medium

  * Initial release 

 -- Alexander Reinholdt <alexander.reinholdt@kdemail.net>  Mon, 31 May 2021 20:28:01 +0200
