=== debian/control ===
Source: kdsoap-ws-discovery-client
Section: kde
Priority: optional
Maintainer: Alexander Reinholdt <alexander.reinholdt@kdemail.net>
Build-Depends:	debhelper-compat (= 11),
		cmake (>= 3.7),
		extra-cmake-modules (>= 5.54.0),
		libkdsoap-dev (>= 1.9.0) | kdsoap (>= 1.9.0),
		qtbase5-dev (>= 5.9.0)
Standards-Version: 4.1.3
Homepage: https://github.com/caspermeijn/kdsoap-ws-discovery-client

Package: kdsoap-ws-discovery-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDSoap WS-Discovery client 
 This project is trying to create a WS-Discovery client 
 library based on the KDSoap library. It uses modern C++ 11 
 and Qt 5. The initial development is done for ONVIFViewer, 
 a ONVIF camera viewer. However the library is designed to 
 be useful as a generic WS-Discovery client.
