## kdsoap-ws-discovery-client 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,41 +1,37 @@
-# Copyright (C) 2019 Casper Meijn <casper@meijn.net>
+# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.7)
 
-project(kdsoap-ws-discovery-client VERSION 0.2)
+project(kdsoap-ws-discovery-client VERSION 0.4.0)
 
 include(FeatureSummary)
 find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://develop.kde.org/products/frameworks/")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(CTest)
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 include(GenerateExportHeader)
 
 set(REQUIRED_QT_VERSION 5.9.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Network Xml)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Network Xml)
 
-find_package(KDSoap 1.9.0 REQUIRED)
-set_package_properties(KDSoap PROPERTIES
+set(KDSOAP_REQUIRED_VERSION 2.0.0)
+
+if (QT_MAJOR_VERSION EQUAL "6")
+    set(KDSOAP_PACKAGE KDSoap-qt6)
+else()
+    set(KDSOAP_PACKAGE KDSoap)
+endif()
+find_package(${KDSOAP_PACKAGE} ${KDSOAP_REQUIRED_VERSION} REQUIRED)
+set_package_properties(${KDSOAP_PACKAGE} PROPERTIES
     DESCRIPTION "A Qt-based client-side and server-side SOAP component"
     URL "http://www.kdab.com/products/kd-soap"
     TYPE REQUIRED
@@ -43,7 +39,7 @@
 )
 
 if (BUILD_TESTING)
-    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
+    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
 endif()
 
 include(ECMSetupVersion)
@@ -60,10 +56,13 @@
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDSoapWSDiscoveryClientConfigVersion.cmake"
 )
 
+add_definitions(
+    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
+)
 
 add_subdirectory(src)
 add_subdirectory(examples)
-add_subdirectory(docs)  
+add_subdirectory(docs)
 if(BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
@@ -104,6 +103,9 @@
         FILE KDSoapWSDiscoveryClientTargets.cmake
         NAMESPACE KDSoap::)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(
     WHAT ALL
