=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#

add_subdirectory(onvif-discover)
