=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces/Provides for kdsoap-ws-discovery-client and
      kdsoap-ws-discovery-client-dev packages in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Feb 2025 08:09:40 +0000

kdsoap-ws-discovery-client (0.4.0-2) unstable; urgency=medium

  * Change maintainer to the Debian KDE Extras Team.

 -- Patrick Franz <deltaone@debian.org>  Wed, 05 Feb 2025 23:37:06 +0100

kdsoap-ws-discovery-client (0.4.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces/Provides for kdsoap-ws-discovery-client and
      kdsoap-ws-discovery-client-dev packages in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Feb 2025 03:52:43 +0000

kdsoap-ws-discovery-client (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1094506)

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Jan 2025 01:58:40 +0100
