=== debian/control ===
Source: kdsoap-ws-discovery-client
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Patrick Franz <deltaone@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.7~),
               extra-cmake-modules (>= 5.54.0~),
               libkdsoap-dev (>= 2.0.0~),
               qt6-base-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kdsoap-ws-discovery-client
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdsoap-ws-discovery-client
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdsoap-ws-discovery-client

Package: libkdsoapwsdiscoveryclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdsoap-dev (>= 2.0.0~),
         libkdsoapwsdiscoveryclient0 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: kdsoap-ws-discovery-client-dev (<< 0.4.0-1~),
Replaces: kdsoap-ws-discovery-client-dev (<< 0.4.0-1~),
Provides: kdsoap-ws-discovery-client-dev,
Description: Qt-based WS-Discovery client library based on KDSoap - devel files
 This project is creating a WS-Discovery client library based on the KDSoap
 library.
 .
 This package contains the development files.

Package: libkdsoapwsdiscoveryclient0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kdsoap-ws-discovery-client (<< 0.4.0-1~),
Replaces: kdsoap-ws-discovery-client (<< 0.4.0-1~),
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is creating a WS-Discovery client library based on the KDSoap
 library.
 .
 This package contains the client-side library.
