=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vstable+git20250824.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 09:04:08 +0000

kdsoap-ws-discovery-client (0.4.0-0neon) jammy; urgency=medium

  * initial release

 -- Harald Sitter <sitter@kde.org>  Mon, 05 Jul 2021 10:32:42 +0200

kdsoap-ws-discovery-client (0.2.0-0neon) jammy; urgency=medium

  * initial release

 -- Harald Sitter <sitter@kde.org>  Mon, 05 Jul 2021 10:32:42 +0200
