=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019-2020 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 include(ECMAddTests)
