=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 find_package(Doxygen
              OPTIONAL_COMPONENTS dot mscgen dia)
