=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vstable+git20251212.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 00:51:32 +0000
