## kdsoap-ws-discovery-client 0.4.0+p24.04+vunstable+git20250824.0904

=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vunstable+git20250824.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 09:04:20 +0000
