=== debian/control ===
Source: kdsoap-ws-discovery-client
Section: libs
Priority: optional
Homepage: https://invent.kde.org/libraries/kdsoap-ws-discovery-client/
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               dia,
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               libkdsoap-qt6-dev,
               mscgen,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kdsoap-ws-discovery-client.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kdsoap-ws-discovery-client
Maintainer: Neon CI <neon@kde.org>

Package: kdsoap-ws-discovery-client
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is trying to create a WS-Discovery client library based on the KDSoap
 library. It uses modern C++ 11 and Qt 6.
 .
 This package contains the client-side library.

Package: kdsoap-ws-discovery-client-dev
Section: libdevel
Architecture: any
Depends: kdsoap-ws-discovery-client,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is trying to create a WS-Discovery client library based on the KDSoap
 library. It uses modern C++ 11 and Qt 6.
 .
 This package contains the static libraries and header files for development
 with the KDSoap libraries.

Package: kdsoap-ws-discovery-client-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is trying to create a WS-Discovery client library based on the KDSoap
 library. It uses modern C++ 11 and Qt 6.
 .
 This package contains the documentation for the kdsoap-ws-discovery-client6 library.
