=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kdsoap-ws-discovery-client/@PACKAGE@-([\d.]+).tar.xz
