## kdsoap-ws-discovery-client 0.4.0+p24.04+vunstable+git20251212.0157

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 set(GLOBAL_KSWSDL2CPP_OPTION)
 get_filename_component(KDWSDL_IMPORT_PATH ../wsdl/ ABSOLUTE)
