=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vunstable+git20251212.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 01:57:06 +0000
